Skip to main content
PATCH
/
authenticator-configurations
/
{authenticator_id}
Update Authenticator Configuration
curl --request PATCH \
  --url https://api.authsignal.com/v1/management/authenticator-configurations/{authenticator_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "authenticatorId": "<string>",
  "authenticatorType": "<unknown>",
  "isActive": true,
  "isEditableByUser": true,
  "isHiddenToUser": true,
  "verificationMethod": "SMS",
  "oobChannel": "EMAIL_OTP",
  "smsProvider": "TWILIO",
  "smsChannel": "DEFAULT",
  "emailProvider": "SES",
  "pushProvider": "URBAN_AIRSHIP",
  "webhookUrl": "<string>",
  "magicLinkMode": "NEW_TAB",
  "messageTemplate": "<string>",
  "sender": "<string>",
  "providerType": "VERIFF",
  "relyingParty": "<string>",
  "expectedOrigins": [
    "<string>"
  ],
  "verificationCodeLength": 6,
  "enrollmentPromptInterval": 123,
  "hideTotpAppDownloadScreen": true,
  "issuerName": "<string>",
  "sessionTtlInMinutes": 30,
  "userVerificationRequirement": "discouraged",
  "authenticatorAttachment": "cross-platform",
  "showEmailDeliveryTimeWarning": true,
  "smsCountryCodes": [
    "<string>"
  ],
  "allowMultipleUserAuthenticators": true,
  "rateLimitConfiguration": {
    "rateLimit": 50,
    "windowInMinutes": 720
  },
  "sendingRateLimitConfiguration": {
    "rateLimit": 50,
    "windowInMinutes": 720
  },
  "passkeyRegistrationHints": [
    "security-key"
  ],
  "whatsAppProvider": "BIRD",
  "redirectUrls": [
    "<string>"
  ],
  "dontSkipEnrollmentInputScreen": true,
  "documentTypes": {},
  "recoveryMethods": [
    "SMS"
  ],
  "disableEnrollmentPrompt": true,
  "requireAppAttestation": true,
  "appAttestationFailureMode": "BLOCK",
  "twilioCredentials": {
    "accountSid": "<string>",
    "messagingServiceSid": "<string>",
    "authToken": "<string>"
  },
  "messageBirdV2Credentials": {
    "accessKey": "<string>",
    "workspaceId": "<string>",
    "channelId": "<string>",
    "navigatorId": "<string>",
    "projectId": "<string>",
    "locale": "<string>",
    "enableMessageTemplates": true
  },
  "modicaGroupCredentials": {
    "username": "<string>",
    "password": "<string>"
  },
  "tnzCredentials": {
    "apiKey": "<string>"
  },
  "urbanAirshipCredentials": {
    "apiKey": "<string>",
    "masterSecret": "<string>"
  },
  "veriff": {
    "apiKey": "<string>",
    "apiSecret": "<string>"
  },
  "iproov": {
    "apiKey": "<string>",
    "apiSecret": "<string>",
    "baseUrl": "<string>",
    "assuranceType": "LIVENESS"
  },
  "idverseCredentials": {
    "apiKey": "<string>",
    "apiSecret": "<string>"
  },
  "messageMediaCredentials": {
    "apiKey": "<string>",
    "apiSecret": "<string>",
    "sourceNumber": "<string>"
  },
  "mailjetEmailCredentials": {
    "privateKey": "<string>",
    "publicKey": "<string>",
    "templateId": "<string>"
  },
  "mailgunEmailCredentials": {
    "apiKey": "<string>",
    "url": "<string>",
    "domain": "<string>",
    "from": "<string>"
  },
  "smtpEmailCredentials": {
    "host": "<string>",
    "port": 123,
    "secure": true,
    "username": "<string>",
    "password": "<string>",
    "from": "<string>",
    "fromName": "<string>"
  },
  "birdEmailCredentials": {
    "accessKey": "<string>",
    "workspaceId": "<string>",
    "channelId": "<string>",
    "projectId": "<string>",
    "versionId": "<string>",
    "locale": "<string>",
    "senderEmail": "<string>",
    "senderName": "<string>"
  }
}
'
{
  "authenticatorId": "<string>",
  "authenticatorType": "<unknown>",
  "isActive": true,
  "isEditableByUser": true,
  "isHiddenToUser": true,
  "verificationMethod": "SMS",
  "oobChannel": "EMAIL_OTP",
  "smsProvider": "TWILIO",
  "smsChannel": "DEFAULT",
  "emailProvider": "SES",
  "pushProvider": "URBAN_AIRSHIP",
  "webhookUrl": "<string>",
  "magicLinkMode": "NEW_TAB",
  "messageTemplate": "<string>",
  "sender": "<string>",
  "providerType": "VERIFF",
  "relyingParty": "<string>",
  "expectedOrigins": [
    "<string>"
  ],
  "verificationCodeLength": 6,
  "enrollmentPromptInterval": 123,
  "hideTotpAppDownloadScreen": true,
  "issuerName": "<string>",
  "sessionTtlInMinutes": 30,
  "userVerificationRequirement": "discouraged",
  "authenticatorAttachment": "cross-platform",
  "showEmailDeliveryTimeWarning": true,
  "smsCountryCodes": [
    "<string>"
  ],
  "allowMultipleUserAuthenticators": true,
  "rateLimitConfiguration": {
    "rateLimit": 50,
    "windowInMinutes": 720
  },
  "sendingRateLimitConfiguration": {
    "rateLimit": 50,
    "windowInMinutes": 720
  },
  "passkeyRegistrationHints": [
    "security-key"
  ],
  "whatsAppProvider": "BIRD",
  "redirectUrls": [
    "<string>"
  ],
  "dontSkipEnrollmentInputScreen": true,
  "documentTypes": {},
  "recoveryMethods": [
    "SMS"
  ],
  "disableEnrollmentPrompt": true,
  "requireAppAttestation": true,
  "appAttestationFailureMode": "BLOCK",
  "twilioCredentials": {
    "accountSid": "<string>",
    "messagingServiceSid": "<string>",
    "authToken": "<string>"
  },
  "messageBirdV2Credentials": {
    "accessKey": "<string>",
    "workspaceId": "<string>",
    "channelId": "<string>",
    "navigatorId": "<string>",
    "projectId": "<string>",
    "locale": "<string>",
    "enableMessageTemplates": true
  },
  "modicaGroupCredentials": {
    "username": "<string>",
    "password": "<string>"
  },
  "tnzCredentials": {
    "apiKey": "<string>"
  },
  "urbanAirshipCredentials": {
    "apiKey": "<string>",
    "masterSecret": "<string>"
  },
  "veriff": {
    "apiKey": "<string>",
    "apiSecret": "<string>"
  },
  "iproov": {
    "apiKey": "<string>",
    "apiSecret": "<string>",
    "baseUrl": "<string>",
    "assuranceType": "LIVENESS"
  },
  "idverseCredentials": {
    "apiKey": "<string>",
    "apiSecret": "<string>"
  },
  "messageMediaCredentials": {
    "apiKey": "<string>",
    "apiSecret": "<string>",
    "sourceNumber": "<string>"
  },
  "mailjetEmailCredentials": {
    "privateKey": "<string>",
    "publicKey": "<string>",
    "templateId": "<string>"
  },
  "mailgunEmailCredentials": {
    "apiKey": "<string>",
    "url": "<string>",
    "domain": "<string>",
    "from": "<string>"
  },
  "smtpEmailCredentials": {
    "host": "<string>",
    "port": 123,
    "secure": true,
    "username": "<string>",
    "password": "<string>",
    "from": "<string>",
    "fromName": "<string>"
  },
  "birdEmailCredentials": {
    "accessKey": "<string>",
    "workspaceId": "<string>",
    "channelId": "<string>",
    "projectId": "<string>",
    "versionId": "<string>",
    "locale": "<string>",
    "senderEmail": "<string>",
    "senderName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use your Authsignal Management API secret key as the username and leave the password empty. This key is different from the Server API key and can be found in the API Keys section of the Authsignal Portal settings page.

Path Parameters

authenticator_id
string
required

The authenticator ID used to identify the authenticator configuration.

Body

application/json

An authenticator configuration (tenant-level settings for an authentication method).

authenticatorId
string

Unique identifier for this configuration

authenticatorType
any
isActive
boolean
isEditableByUser
boolean
isHiddenToUser
boolean
verificationMethod
enum<string>
Available options:
SMS,
AUTHENTICATOR_APP,
RECOVERY_CODE,
EMAIL_MAGIC_LINK,
EMAIL_OTP,
PUSH,
DEVICE,
SECURITY_KEY,
PASSKEY,
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR,
IDVERSE
oobChannel
enum<string>
Available options:
EMAIL_OTP,
EMAIL_MAGIC_LINK,
SMS
smsProvider
enum<string>
Available options:
TWILIO,
MESSAGE_BIRD,
MESSAGE_BIRD_V2,
MODICA_GROUP,
TNZ,
WEBHOOK
smsChannel
enum<string>
Available options:
DEFAULT,
WHATSAPP
emailProvider
enum<string>
Available options:
SES,
SMTP,
AIRNZ,
WEBHOOK,
MAILJET,
MAILGUN,
BIRD,
MANDRILL,
SENDGRID
pushProvider
enum<string>
Available options:
URBAN_AIRSHIP,
WEBHOOK
webhookUrl
string<uri>
Available options:
NEW_TAB,
ORIGINAL_TAB
messageTemplate
string
sender
string
providerType
enum<string>
Available options:
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR,
IDVERSE
relyingParty
string
expectedOrigins
string[]
verificationCodeLength
integer
Required range: 2 <= x <= 10
enrollmentPromptInterval
number
hideTotpAppDownloadScreen
boolean
issuerName
string
sessionTtlInMinutes
number
Required range: 0 <= x <= 60
userVerificationRequirement
enum<string> | null
Available options:
discouraged,
preferred,
required
authenticatorAttachment
enum<string> | null
Available options:
cross-platform,
platform,
all-supported
showEmailDeliveryTimeWarning
boolean
smsCountryCodes
string[]

ISO country codes for SMS (e.g. US, GB)

allowMultipleUserAuthenticators
boolean
rateLimitConfiguration
object
sendingRateLimitConfiguration
object
passkeyRegistrationHints
enum<string>[]
Available options:
security-key,
client-device,
hybrid
whatsAppProvider
enum<string>
Available options:
BIRD
redirectUrls
string<uri>[]
dontSkipEnrollmentInputScreen
boolean
documentTypes
object
recoveryMethods
enum<string>[]
Available options:
SMS,
AUTHENTICATOR_APP,
RECOVERY_CODE,
EMAIL_MAGIC_LINK,
EMAIL_OTP,
PUSH,
DEVICE,
SECURITY_KEY,
PASSKEY,
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR,
IDVERSE
disableEnrollmentPrompt
boolean
requireAppAttestation
boolean
appAttestationFailureMode
enum<string>
Available options:
BLOCK,
ALLOW_WITH_WARNING
twilioCredentials
object
messageBirdV2Credentials
object
modicaGroupCredentials
object
tnzCredentials
object
urbanAirshipCredentials
object
veriff
object
iproov
object
idverseCredentials
object
messageMediaCredentials
object
mailjetEmailCredentials
object
mailgunEmailCredentials
object
smtpEmailCredentials
object
birdEmailCredentials
object

Response

200 - application/json

OK

An authenticator configuration (tenant-level settings for an authentication method).

authenticatorId
string

Unique identifier for this configuration

authenticatorType
any
isActive
boolean
isEditableByUser
boolean
isHiddenToUser
boolean
verificationMethod
enum<string>
Available options:
SMS,
AUTHENTICATOR_APP,
RECOVERY_CODE,
EMAIL_MAGIC_LINK,
EMAIL_OTP,
PUSH,
DEVICE,
SECURITY_KEY,
PASSKEY,
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR,
IDVERSE
oobChannel
enum<string>
Available options:
EMAIL_OTP,
EMAIL_MAGIC_LINK,
SMS
smsProvider
enum<string>
Available options:
TWILIO,
MESSAGE_BIRD,
MESSAGE_BIRD_V2,
MODICA_GROUP,
TNZ,
WEBHOOK
smsChannel
enum<string>
Available options:
DEFAULT,
WHATSAPP
emailProvider
enum<string>
Available options:
SES,
SMTP,
AIRNZ,
WEBHOOK,
MAILJET,
MAILGUN,
BIRD,
MANDRILL,
SENDGRID
pushProvider
enum<string>
Available options:
URBAN_AIRSHIP,
WEBHOOK
webhookUrl
string<uri>
Available options:
NEW_TAB,
ORIGINAL_TAB
messageTemplate
string
sender
string
providerType
enum<string>
Available options:
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR,
IDVERSE
relyingParty
string
expectedOrigins
string[]
verificationCodeLength
integer
Required range: 2 <= x <= 10
enrollmentPromptInterval
number
hideTotpAppDownloadScreen
boolean
issuerName
string
sessionTtlInMinutes
number
Required range: 0 <= x <= 60
userVerificationRequirement
enum<string> | null
Available options:
discouraged,
preferred,
required
authenticatorAttachment
enum<string> | null
Available options:
cross-platform,
platform,
all-supported
showEmailDeliveryTimeWarning
boolean
smsCountryCodes
string[]

ISO country codes for SMS (e.g. US, GB)

allowMultipleUserAuthenticators
boolean
rateLimitConfiguration
object
sendingRateLimitConfiguration
object
passkeyRegistrationHints
enum<string>[]
Available options:
security-key,
client-device,
hybrid
whatsAppProvider
enum<string>
Available options:
BIRD
redirectUrls
string<uri>[]
dontSkipEnrollmentInputScreen
boolean
documentTypes
object
recoveryMethods
enum<string>[]
Available options:
SMS,
AUTHENTICATOR_APP,
RECOVERY_CODE,
EMAIL_MAGIC_LINK,
EMAIL_OTP,
PUSH,
DEVICE,
SECURITY_KEY,
PASSKEY,
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR,
IDVERSE
disableEnrollmentPrompt
boolean
requireAppAttestation
boolean
appAttestationFailureMode
enum<string>
Available options:
BLOCK,
ALLOW_WITH_WARNING
twilioCredentials
object
messageBirdV2Credentials
object
modicaGroupCredentials
object
tnzCredentials
object
urbanAirshipCredentials
object
veriff
object
iproov
object
idverseCredentials
object
messageMediaCredentials
object
mailjetEmailCredentials
object
mailgunEmailCredentials
object
smtpEmailCredentials
object
birdEmailCredentials
object